Use this method to cancel a signature instruction.
To cancel a signature instruction, you need its signatureInstructionId. Our gateway returned the signatureInstructionId in the response of the Submit signature instruction method.
/signature-instructions/{signatureInstructionId}deleteSignatureInstructionUse this method to cancel a signature instruction.
To cancel a signature instruction, you need its signatureInstructionId. Our gateway returned the signatureInstructionId in the response of the Submit signature instruction method.
| Name | In | Type | Description |
|---|---|---|---|
signatureInstructionIdRequired | path | string | Unique identifier that our gateway assigned to the signature instruction. |
Successful request. We canceled the signature instruction.
No response body — a 204 means the action took effect.
Invalid request
{
"detail": "One or more validation errors occurred, see error section for more info",
"errors": [
{
"detail": "invalid date",
"message": "Expected time, got '' for start_time",
"parameter": "start_time"
}
],
"status": 400,
"title": "Bad request",
"type": "https://docs.payroc.com/api/errors#bad-request"
}Identity could not be verified
{
"detail": "Your identity could not be verified",
"status": 401,
"title": "Not Authorized",
"type": "https://docs.payroc.com/api/errors#not-authorized"
}Do not have permissions to perform this action
{
"detail": "You do not have the required permissions to perform this action",
"instance": "https://api.payroc.com/v1/exampleResource/3",
"resource": "exampleResource",
"status": 403,
"title": "Forbidden",
"type": "https://docs.payroc.com/api/errors#forbidden"
}Resource not found
{
"detail": "Resource not found",
"resource": "(The Type of the Resource)",
"status": 404,
"title": "Not found",
"type": "https://docs.payroc.com/api/errors#not-found"
}Not acceptable
{
"detail": "Resource does not support the representation requested",
"status": 406,
"title": "Not acceptable",
"type": "https://docs.payroc.com/api/errors#not-acceptable"
}Conflict
{
"detail": "You cannot cancel this resource in its current state",
"errors": [
{
"message": "Completed instruction cannot be canceled",
"parameter": "signatureInstructionId"
}
],
"link": {
"href": "https://api.payroc.com/v1/signatures/M2MJOG6O2Y",
"method": "GET",
"rel": "signature"
},
"status": 409,
"title": "Cannot be canceled",
"type": "https://docs.payroc.com/api/errors#cannot-be-canceled"
}An error has occured
{
"detail": "We are unable to process your request at this time",
"errors": [
{
"message": "Service offline"
}
],
"status": 500,
"title": "Api error",
"type": "https://docs.payroc.com/api/errors#api-error"
}